=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6),
+ kdelibs5-dev (>= 4:4.7),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
- libqtwebkit-dev
+ libqtwebkit-dev,
+ qtmobility-dev [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
 
 Package: marble
 Architecture: any
@@ -43,8 +45,8 @@
 Architecture: any
 Section: misc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
-Breaks: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
+Replaces: libmarble4
+Breaks: libmarble4
 Description: plugins for Marble
  This package contains various plugins for the Marble desktop globe. The Marble
  globe widget library may not be of much use if this package is not installed.
