## marble 4.7.4

=== debian/changelog ===
marble (4:4.7.4-1) experimental; urgency=low

  * New upstream release
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4.7.4.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:56:20 +0100
