=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: marble
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.8.1),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
- libqtwebkit-dev,
- qtmobility-dev [linux-any]
+ libqtwebkit-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
 
 Package: marble
 Architecture: any
@@ -28,6 +30,21 @@
  applications. The Marble widget shows the earth as a sphere but does not
  require hardware acceleration.  A minimal set of geographical data is
  included, so it can be used without an internet connection.
+ .
+ This package is part of the KDE education module.
+
+Package: marble-touch
+Architecture: any
+Section: misc
+Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
+ marble-plugins (= ${binary:Version})
+Description: globe and map widget for tablets
+ Marble is a generic geographical map widget and framework for KDE
+ applications. The Marble widget shows the earth as a sphere but does not
+ require hardware acceleration.  A minimal set of geographical data is
+ included, so it can be used without an internet connection.
+ .
+ This versions of marble is designed for use on tablet computers.
  .
  This package is part of the KDE education module.
 
@@ -45,15 +62,15 @@
 Architecture: any
 Section: misc
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libmarble4
-Breaks: libmarble4
+Replaces: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
+Breaks: libmarble4, marble (<< 4:4.5.2-0ubuntu1)
 Description: plugins for Marble
  This package contains various plugins for the Marble desktop globe. The Marble
  globe widget library may not be of much use if this package is not installed.
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget12
+Package: libmarblewidget13
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
@@ -66,8 +83,8 @@
 Package: libmarble-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget12 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libmarblewidget12}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget13 (= ${binary:Version})
+# ${sameVersionDep:libqt4-dev:libmarblewidget13}
 Description: development files for the Marble globe widget library
  This package contains development files for building software that uses the
  Marble globe widget library.
