## marble 4.8.4

=== debian/changelog ===
marble (4:4.8.4-3) unstable; urgency=low

  * Team upload.
  * Fix the detection of the QML imports directory, and move the QML stuff
    accordingly; patch fix_qmake_fallback.diff. (Closes: #688755)
  * Do not install marble-touch and its qtcomponents, since they require
    libraries not available in Debian.
  * Add in marble suggests for the various routing services: libqt4-sql-sqlite,
    gosmore, monav-routing-daemon, routino. (Closes: #677058)

 -- Pino Toscano <pino@debian.org>  Tue, 25 Sep 2012 17:30:22 +0200

marble (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 22:19:58 +0200

marble (4:4.8.4-1) experimental; urgency=low

  * New upstream release
    - SONAME change of libmarble
    - More plugins
    - Marble-touch
    - KRunner-runner

 -- Sune Vuorela <sune@debian.org>  Sat, 16 Jun 2012 14:16:46 +0200

marble (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 15:49:19 +0100
